# Class PokemonBattleData

- Defined in src/field/pokemon.ts:3746

#####
Index

### Constructors

constructor

### Properties

abilitiesApplied
berriesEaten
endured
hitCount

## Constructors

### constructor

- new PokemonBattleData(): PokemonBattleData

- #### Returns PokemonBattleData

## Properties

### abilitiesApplied

abilitiesApplied: Abilities [] = []

- Defined in src/field/pokemon.ts:3750

### berriesEaten

berriesEaten: BerryType [] = []

- Defined in src/field/pokemon.ts:3749

### endured

endured: boolean = false

- Defined in src/field/pokemon.ts:3748

### hitCount

hitCount: number = 0

- Defined in src/field/pokemon.ts:3747